Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cult3d.world
Class CultEvent

    java.lang.Object
      |
      +--com.cult3d.world.CultEvent

public class CultEvent
extends java.lang.Object

This class provides a Java representation for a Manual Event that has been created in the Cult3D Designer.

Since:
  Cult3D 4.0

Constructor Summary
`CultEvent(java.lang.String name)` Constructs a Java representation of a Manual Event defined in the Cult3D Designer.

Method Summary
`void` | `activate()` Activates the Manual Event this object represents.
`void` | `deactivate()` Deactivates the Manual Event this object represents.
`java.lang.String` | `getInfo()` Returns a string representation of the values of this object.
`java.lang.String` | `getName()` Gets the name of this Cult Event
`boolean` | `isActive()` This method lets you know if an Manual event is active.
`java.lang.String` | `toString()` This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations and versions of Cult3D.
`void` | `trigger()` Triggers the Manual Event this object represents, triggers always an event even the deactived.
`boolean` | `trigger(boolean force)` Triggers the Manual Event this object represents.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CultEvent

    public CultEvent(java.lang.String name)

  Constructs a Java representation of a Manual Event defined in the Cult3D Designer. The uniqe name of the Manual Event, as defined in the Designer, is given as parameter. Make sure that the spelling of the name is exactly as in the Designer, including any captial letters.
  Parameters:
    `name` - the name of the event.
  Throws:
    NameNotFoundException - if a Manual Event with the given name can't be found.
    NameNotFoundException - for invalid name.
  Since:
    Cult3D 4.0

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this Cult Event
  Returns:
    Gets the name of this CultEvent
  Since:
    Cult3D 5.3

### trigger

    public void trigger()

  Triggers the Manual Event this object represents, triggers always an event even the deactived. This is equivalent to the "Trigger event" action in the Cult3D Designer.
  Since:
    Cult3D 4.0

### trigger

    public boolean trigger(boolean force)

  Triggers the Manual Event this object represents. With this method you can choose if you want to trigger an deactivated event or not This is equivalent to the "Trigger event" action in the Cult3D Designer.
  Parameters:
    `force` - Set to true if you want to trigger an activated/deactived event, set to false if you do not want to trigger an deactivated event.
  Returns:
    If the event is inactive and you do not force it to trigger it will return false and it will not trigger the event, oherwise it will return true and trigger the event.
  Since:
    Cult3D 5.3

### activate

    public void activate()

  Activates the Manual Event this object represents. This is equivalent to the "Activate event" action in the Cult3D Designer.
  Since:
    Cult3D 4.0

### deactivate

    public void deactivate()

  Deactivates the Manual Event this object represents. This is equivalent to the "Deactivate event" action in the Cult3D Designer.
  Since:
    Cult3D 4.0

### isActive

    public boolean isActive()

  This method lets you know if an Manual event is active.
  Returns:
    True if this event is activated, otherwise false.
  Since:
    Cult3D 5.3

### getInfo

    public java.lang.String getInfo()

  Returns a string representation of the values of this object.

  It returns the name of the CultEvent, and if the CultEvent is active.

  This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations and versions of Cult3D.

  Returns:
    A string representing this object.
  Since:
    Cult3D 5.3

### toString

    public java.lang.String toString()

  This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations and versions of Cult3D.

  Overrides:
    toString in class java.lang.Object
  Returns:
    A string representing this object.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD